Subject: Re: Running Win10 after end of life

From: Keith Smith via PLUG-discuss <[email-masked]>
Date: Fri, 09 May 2025 07:19:07 -0700

There is a person on the list that owns more than a few Thinkpads.  
Maybe he will give his thoughts.

On 2025-05-09 03:14, Michael via PLUG-discuss wrote:
> For solid, reasonable cost laptops, consider used Thinkpads on Ebay.
> They run Linux well and can be had for a few hundred dollars.  You can
> easily upgrade or replace, RAM, hard drives, screens, keyboards, etc;
> which is getting harder to do on newer systems (except Framework, of
> course).  These have something like 7th gen Intel CPUs, so they're
> fine for most uses, but aren't nearly as fast as new systems.
> 
> Think models like the T480, E590, and X1 Carbon 7th Gen.
> 
> On 5/8/25 4:41 PM, Eric Oyen via PLUG-discuss wrote:
> 
>> David,
>> 
>> You’re not the only one! My Mac mini is circa 2012 and it still
>> functions well with its original OS, however, things are starting to
>> come to the point where I’m going to have to install LINUX on it.
>> There’s some things I can’t do with it anymore. (some webpages
>> won’t load properly which means they won’t load inside the
>> screen reader either. However, I’m looking at the open core
>> project, which will probably give me some options as far as updating
>> is concerned. And yes, because I’m on an exceedingly limited
>> income (disability), I am like you in that I cannot afford new
>> equipment every time somebody forces us through the upgrade cycle.
>> 
>> Anyway, that’s probably the beauty about Apple hardware is that it
>> lasts a long time.
>> 
>> Eric
>> 
>> Sent from my iPhone
>> 
>>> On May 8, 2025, at 12:01 PM, David Schwartz via PLUG-discuss
>>> <[email-masked]> wrote:
>> 
>>  I truly appreciate your concern and encouragement to spend money
>> needlessly. I typically keep my hardware until it dies. If you
>> prefer to replace yours on a schedule even if it’s still working,
>> that’s up to you. So far, my Mac hardware has lasted far longer
>> than anything running Windows. I doubt it’s the OS.
>> 
>> (My first iMac died not long after the Apple Care expired — a chip
>> on the video card failed and they wanted nearly $700 to replace it.
>> That didn’t seem like a wise investment, so I pulled out the RAM
>> and HD, and sold the carcass for nearly $400. I could have gotten
>> more than that by parting out the case, PS, LCD display, and logic
>> board separately, but that would have taken longer.)
>> 
>> However, I also know that Windows attracts more than an order of
>> magnitude more attempts to hack the system versus all other
>> platforms combined, so I CHOOSE to avoid it in large part for that
>> reason alone. I also prefer *nix to Windows as it’s far more
>> stable.
>> 
>> Value is measured over time. My experience with Apple’s hardware
>> is that it lasts far longer than anything I’ve had that runs
>> Windows. And it does not depreciate nearly as quickly. I’m quite
>> happy with the value I’ve gotten for my money.
>> 
>> -David Schwartz
>> 
>> On May 7, 2025, at 10:02 AM, Matthew Gibson via PLUG-discuss
>> <[email-masked]> wrote:
>> 
>> My wife's macbook died. Multiple times. Several were hard drive
>> failures. We replaced, with Apple-nazi sanctioned hardware. The
>> final death was when the graphics card stopped working. Could get a
>> framebuffer on it. But anything more intensive? nope. Thing said
>> 'Newp!' So I said 'good-riddance'.
>> 
>> You can like whatever hardware you want. As for me and my house? I
>> don't run Apple crap.
>> Too much headache. Too much engineered obsolescence. Too much money
>> for what it's worth.
>> Even with the "better hardware" rationale for fanboys paying out
>> every time a new phone comes out which only improves slightly on a
>> camera, or better, adds a feature that android has had for years.
>> 
>> I wouldn't want to do any serious work on your old macs that are
>> ancient. Have you done any vulnerability scans on them? "Might want
>> to look into that" ~Tony Stark, as he bonks the head of the bad guy
>> in Iron Man I.
>> 
>> Anyways, I'm not going to change your mind, and this conversation
>> grows ancient. Like your macs.
>> 
>> T.T.F.N.
>> 
>> On Tue, May 6, 2025 at 6:03 PM David Schwartz via PLUG-discuss
>> <[email-masked]> wrote:
>> On May 4, 2025, at 7:36 PM, Keith Smith via PLUG-discuss
>> <[email-masked]> wrote:
>>> 
>>> I did not know there was a bias on the list.
>>> 
>>> - Keith
>>> 
>> 
>> It’s when people mention “the Apple tax” that the bias shows
>> up.
>> 
>> At least my older Macs don’t turn into door-stops when Apple stops
>> supporting them. Two of them cannot be upgraded to the latest
>> versions of MacOS, but they are fully functional.
>> 
>> From all of the warnings I’m reading about Windows 10, I’m
>> really not sure what to expect. I have two computers that I can’t
>> upgrade to Win 11.
>> 
>> -David Schwartz
>> 
>> ---------------------------------------------------
>> PLUG-discuss mailing list: [email-masked]
>> To subscribe, unsubscribe, or to change your mail settings:
>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>> ---------------------------------------------------
>> PLUG-discuss mailing list: [email-masked]
>> To subscribe, unsubscribe, or to change your mail settings:
>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
> 
>  ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
> 
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss